Bug 144811 - netdump produces FATAL error and does not start.
netdump produces FATAL error and does not start.
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: netdump (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 12:50 EST by Jeremiah Johnson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 13:07:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for /etc/rc.d/init.d/netdump (897 bytes, patch)
2005-01-11 14:00 EST, Jeremiah Johnson
no flags Details | Diff

  None (edit)
Description Jeremiah Johnson 2005-01-11 12:50:29 EST
[root@wood root]# service netdump start
initializing netdump FATAL: Error inserting netconsole
(/lib/modules/2.6.10-1.8_FC2smp/kernel/drivers/net/netconsole.ko):
Invalid argument  [FAILED]

[root@wood root]# modprobe -v netconsole
insmod /lib/modules/2.6.10-1.8_FC2smp/kernel/drivers/net/netconsole.ko 
FATAL: Error inserting netconsole
(/lib/modules/2.6.10-1.8_FC2smp/kernel/drivers/net/netconsole.ko):
Invalid argument

[root@wood net]# uname -a
Linux wood.chip.org 2.6.10-1.8_FC2smp #1 SMP Mon Jan 10 14:59:43 EST
2005 x86_64 x86_64 x86_64 GNU/Linux

[root@wood net]# cat /etc/fedora-release 
Fedora Core release 2 (Tettnang)

Bootdata ok (command line is ro root=LABEL=/)
Linux version 2.6.10-1.8_FC2smp (bhcompile@crowe.devel.redhat.com)
(gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 SMP Mon Jan 10
14:59:43 EST 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000faff0000 (usable)
 BIOS-e820: 00000000faff0000 - 00000000fafff000 (ACPI data)
 BIOS-e820: 00000000fafff000 - 00000000fb000000 (ACPI NVS)
 BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)
Scanning NUMA topology in Northbridge 24
Number of nodes 2 (10010)
Node 0 MemBase 0000000000000000 Limit 000000007fffffff
Node 1 MemBase 0000000080000000 Limit 00000000faff0000
Using node hash shift of 24
Bootmem setup node 0 0000000000000000-000000007fffffff
Bootmem setup node 1 0000000080000000-00000000faff0000
No mptable found.
On node 0 totalpages: 524287
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 520191 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
On node 1 totalpages: 503792
  DMA zone: 0 pages, LIFO batch:1
  Normal zone: 503792 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
ACPI: RSDP (v000 ACPIAM                                ) @
0x00000000000f4620
ACPI: RSDT (v001 A M I  OEMRSDT  0x10000304 MSFT 0x00000097) @
0x00000000faff0000
ACPI: FADT (v002 A M I  OEMFACP  0x10000304 MSFT 0x00000097) @
0x00000000faff0200
ACPI: MADT (v001 A M I  OEMAPIC  0x10000304 MSFT 0x00000097) @
0x00000000faff0380
ACPI: OEMB (v001 A M I  OEMBIOS  0x10000304 MSFT 0x00000097) @
0x00000000fafff040
ACPI: ASF! (v016 AMIASF AMDSTRET 0x00000001 INTL 0x02002026) @
0x00000000faff3490
ACPI: DSDT (v001  0AAAA 0AAAA000 0x00000000 INTL 0x02002026) @
0x0000000000000000
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:5 APIC version 16
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:5 APIC version 16
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x03] address[0xfebff000] gsi_base[24])
IOAPIC[1]: apic_id 3, version 17, address 0xfebff000, GSI 24-27
ACPI: IOAPIC (id[0x04] address[0xfebfe000] gsi_base[28])
IOAPIC[2]: apic_id 4, version 17, address 0xfebfe000, GSI 28-31
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
Using ACPI (MADT) for SMP configuration information
Checking aperture...
CPU 0: aperture @ 22e4000000 size 32 MB
Aperture from northbridge cpu 0 too small (32 MB)
No AGP bridge found
Built 2 zonelists
Kernel command line: ro root=LABEL=/ console=tty0
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 131072 bytes)
time.c: Using 1.193182 MHz PIT timer.
time.c: Detected 1393.979 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Memory: 4043236k/4112320k available (2052k kernel code, 0k reserved,
1473k data, 204k init)
Calibrating delay loop... 2736.12 BogoMIPS (lpj=1368064)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256 (order: 0, 4096 bytes)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
Using local APIC NMI watchdog using perfctr0
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU0: AMD Opteron(tm) Processor 240 stepping 08
per-CPU timeslice cutoff: 1024.48 usecs.
task migration cache decay timeout: 2 msecs.
Booting processor 1/1 rip 6000 rsp 10037f29f58
Initializing CPU#1
Calibrating delay loop... 2785.28 BogoMIPS (lpj=1392640)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
AMD Opteron(tm) Processor 240 stepping 08
Total of 2 processors activated (5521.40 BogoMIPS).
Using local APIC timer interrupts.
Detected 12.446 MHz APIC timer.
checking TSC synchronization across 2 CPUs: passed.
time.c: Using PIT/TSC based timekeeping.
Brought up 2 CPUs
checking if image is initramfs...it isn't (no cpio magic); looks like
an initrd
NET: Registered protocol family 16
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20041105
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.GOLA._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.GOLB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
** PCI interrupts are no longer routed automatically.  If this
** causes a device to stop working, it is probably because the
** driver failed to call pci_enable_device().  As a temporary
** workaround, the "pci=routeirq" argument restores the old
** behavior.  If this argument makes the device work again,
** please email the output of "lspci" to bjorn.helgaas@hp.com
** so I can fix the driver.
PCI-DMA: Disabling IOMMU.
IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24 13:02:28 ak Exp $
audit: initializing netlink socket (disabled)
audit(1105463739.365:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 767421F9E1D7E67
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports 8 throttling states)
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
AMD8111: IDE controller at PCI slot 0000:00:07.1
AMD8111: chipset revision 3
AMD8111: not 100% native mode: will probe irqs later
AMD8111: 0000:00:07.1 (rev 03) UDMA133 controller
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
Probing IDE interface ide1...
hdc: SR244W, ATAPI CD/DVD-ROM drive
elevator: using anticipatory as default io scheduler
ide1 at 0x170-0x177,0x376 on irq 15
Probing IDE interface ide0...
hdc: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard on isa0060/serio0
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 16384 buckets, 256Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Power state transitions not supported
powernow-k8: Power state transitions not supported
ACPI wakeup devices: 
PCI1 USB0 USB1 PS2K UAR1 UAR2 GOLA GLAN GOLB SMBC AC97 MODM PWRB 
ACPI: (supports S0 S1 S4 S5)
CPU0:
 domain 0: span 01
  groups: 01
  domain 1: span 01
   groups: 01
   domain 2: span 03
    groups: 01 02
CPU1:
 domain 0: span 02
  groups: 02
  domain 1: span 02
   groups: 02
   domain 2: span 03
    groups: 02 01
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
SCSI subsystem initialized
3ware Storage Controller device driver for Linux v1.26.02.000.
ACPI: PCI interrupt 0000:01:03.0[A] -> GSI 28 (level, low) -> IRQ 169
scsi0 : 3ware Storage Controller
3w-xxxx: scsi0: Found a 3ware Storage Controller at 0x9c00, IRQ: 169.
  Vendor: 3ware     Model: Logical Disk 0    Rev: 1.2 
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 2735039104 512-byte hdwr sectors (1400340 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 2735039104 512-byte hdwr sectors (1400340 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 204k freed
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
ACPI: Power Button (FF) [PWRF]
ibm_acpi: ec object not found
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI interrupt 0000:03:00.0[D] -> GSI 19 (level, low) -> IRQ 177
ohci_hcd 0000:03:00.0: OHCI Host Controller
ohci_hcd 0000:03:00.0: irq 177, pci mem 0xfeafc000
ohci_hcd 0000:03:00.0: new USB bus registered, assigned bus number 1
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ACPI: PCI interrupt 0000:03:00.1[D] -> GSI 19 (level, low) -> IRQ 177
ohci_hcd 0000:03:00.1: OHCI Host Controller
ohci_hcd 0000:03:00.1: irq 177, pci mem 0xfeafd000
ohci_hcd 0000:03:00.1: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
EXT3 FS on sda2, internal journal
device-mapper: 4.3.0-ioctl (2004-09-30) initialised: dm-devel@redhat.com
hdc: packet command error: status=0x51 { DriveReady SeekComplete Error }
hdc: packet command error: error=0x50
ide: failed opcode was 100
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Parameter not supported -- (asc=0x26, ascq=0x01)
  The failed "Start/Stop Unit" packet command was: 
  "1b 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 "
Adding 506036k swap on /dev/sda3.  Priority:-1 extents:1
Adding 506008k swap on /dev/sda5.  Priority:-2 extents:1
program scsi_unique_id is using a deprecated SCSI ioctl, please
convert it to SG_IO
program scsi_unique_id is using a deprecated SCSI ioctl, please
convert it to SG_IO
program scsi_unique_id is using a deprecated SCSI ioctl, please
convert it to SG_IO
program scsi_unique_id is using a deprecated SCSI ioctl, please
convert it to SG_IO
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
parport0: PC-style at 0x378 [PCSPP]
Attached scsi generic sg0 at scsi0, channel 0, id 0, lun 0,  type 0
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
ieee1394: Initialized config rom entry `ip1394'
tg3.c:v3.14 (November 15, 2004)
ACPI: PCI interrupt 0000:02:09.0[A] -> GSI 24 (level, low) -> IRQ 185
divert: allocating divert_blk for eth0
eth0: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)]
(PCIX:100MHz:64-bit) 10/100/1000BaseT Ethernet 00:e0:81:29:ab:7a
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1]
TSOcap[1] 
ACPI: PCI interrupt 0000:02:09.1[B] -> GSI 25 (level, low) -> IRQ 193
divert: allocating divert_blk for eth1
eth1: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)]
(PCIX:100MHz:64-bit) 10/100/1000BaseT Ethernet 00:e0:81:29:ab:7b
eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1]
TSOcap[1] 
e100: Intel(R) PRO/100 Network Driver, 3.2.3-k2-NAPI
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI interrupt 0000:03:08.0[A] -> GSI 18 (level, low) -> IRQ 201
divert: allocating divert_blk for eth2
e100: eth2: e100_probe: addr 0xfeafb000, irq 201, MAC addr
00:E0:81:29:CB:C3
divert: freeing divert_blk for eth0
divert: freeing divert_blk for eth1
divert: freeing divert_blk for eth2
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (8192 buckets, 65536 max) - 464 bytes per
conntrack
tg3.c:v3.14 (November 15, 2004)
ACPI: PCI interrupt 0000:02:09.0[A] -> GSI 24 (level, low) -> IRQ 185
divert: allocating divert_blk for eth0
eth0: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)]
(PCIX:100MHz:64-bit) 10/100/1000BaseT Ethernet 00:e0:81:29:ab:7a
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1]
TSOcap[1] 
ACPI: PCI interrupt 0000:02:09.1[B] -> GSI 25 (level, low) -> IRQ 193
divert: allocating divert_blk for eth1
eth1: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)]
(PCIX:100MHz:64-bit) 10/100/1000BaseT Ethernet 00:e0:81:29:ab:7b
eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1]
TSOcap[1] 
tg3: eth0: Link is up at 100 Mbps, full duplex.
tg3: eth0: Flow control is on for TX and on for RX.
e100: Intel(R) PRO/100 Network Driver, 3.2.3-k2-NAPI
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI interrupt 0000:03:08.0[A] -> GSI 18 (level, low) -> IRQ 201
divert: allocating divert_blk for eth2
e100: eth2: e100_probe: addr 0xfeafb000, irq 201, MAC addr
00:E0:81:29:CB:C3
Linux Kernel Card Services
  options:  [pci] [cardbus] [pm]
netconsole: Unknown parameter `magic1'
netconsole: not configured, aborting
NET: Registered protocol family 10
Disabled Privacy Extensions on device ffffffff804261a0(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
eth0: no IPv6 routers present
netconsole: Unknown parameter `magic1'
netconsole: not configured, aborting
3w-xxxx: scsi0: AEN: INFO: Initialization started: Unit #0.
netconsole: Unknown parameter `magic1'
netconsole: not configured, aborting
netconsole: Unknown parameter `magic1'
netconsole: not configured, aborting
Comment 1 Jeremiah Johnson 2005-01-11 12:58:51 EST
messages:Jan 11 17:35:36 wood netdump:: inserting netconsole module
with arguments magic1=0x998dd153 magic2=0xb0f87f55 dev=eth0
netdump_target_ip=0x86AE0B3C netlog_target_ip=0x86AE0B3C
source_port=6666 netdump_target_port=6666 netlog_target_port=6666
netdump_target_eth_byte0=0x00 netdump_target_eth_byte1=0x0F
netdump_target_eth_byte2=0x1F netdump_target_eth_byte3=0x65
netdump_target_eth_byte4=0x62 netdump_target_eth_byte5=0xFA
netlog_target_eth_byte0=0x00 netlog_target_eth_byte1=0x0F
netlog_target_eth_byte2=0x1F netlog_target_eth_byte3=0x65
netlog_target_eth_byte4=0x62 netlog_target_eth_byte5=0xFA mhz=1393
messages:Jan 11 17:35:36 wood netdump: initializing netdump failed
Comment 2 Dave Anderson 2005-01-11 13:07:23 EST
Sorry, the netdump patch is not even included in this kernel.

The latest kernel that it has ever been ported/applied to is
the soon-to-be-released RHEL4 kernel, which is based
on 2.6.9.
Comment 3 Jeremiah Johnson 2005-01-11 13:14:46 EST
So why are these packages even included in FC if the included kernel
doesn't even support the functionality they require?
Comment 4 Jeremiah Johnson 2005-01-11 13:49:21 EST
Actually, it looks as if the parameter interface has changed on this
module.  Doing a 'modprobe netconsole
netconsole=6666@134.174.11.30/eth0,6666@134.174.11.60/00:0F:1F:65:62:FA'
works fine.  I think the obvious thing here is to update the initfile
for this so that it passes the proper parameters.
Comment 5 Jeremiah Johnson 2005-01-11 14:00:21 EST
Created attachment 109631 [details]
patch for /etc/rc.d/init.d/netdump

My quick hack of the initscript to do this properly.  The initscript could use
more work. I'm not using the syslog opts at all since I just want to catch the
oops on this system.
Comment 6 Dave Anderson 2005-01-11 14:09:07 EST
> So why are these packages even included in FC if the included kernel
> doesn't even support the functionality they require?

That's a good question.  I don't have much to do with the Fedora side
of the business.  In the 2.4 kernel era, netdump functionality was
piled on top of the netconsole.c module.  In 2.6, netconsole.c stands
on its own serving as a console device, and we added a netdump.c
module for netdump.  If I'm not mistaken, FC2 was originally based
upon 2.4 (?), so the scripts still use netconsole.c thinking it's the
version that has netdump functionality added to it.  But looking at
the sources in this 2.6.10-based kernel source RPM, it's got the 2.6
netconsole.c, which has no clue what the 2.4-era netdump parameters
that are passed to it are.
Comment 7 Jeremiah Johnson 2005-01-11 14:36:53 EST
That makes sense.  I believe FC1 was 2.4.x, while FC2 came out with
2.6, so its odd that netdump's init script wasn't updated to handle
2.6's parameters properly.  Its also odd that I'm the only one that
noticed this a few months before FC2's end of life.  Now I just need
to test that this is actually working as it should.

Note You need to log in before you can comment on or make changes to this bug.